%global momorel 2

Summary: Vformat Plug-In for OpenSync
Name: libopensync-plugin-vformat
Version: 0.36
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://www.opensync.org/
Group: System Environment/Libraries
Source0: http://opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: cmake
BuildRequires: libopensync-devel >= 0.36
BuildRequires: pkgconfig

%description
This plug-in allows applications using OpenSync to synchronize to and
from Vformat based devices.

Additionally install the libopensync package.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
	-DCMAKE_SKIP_RPATH=YES ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/vconvert
%{_libdir}/opensync-1.0/formats/vcard.so
%{_libdir}/opensync-1.0/formats/vevent.so
%{_libdir}/opensync-1.0/formats/vformat-xmlformat.so
%{_libdir}/opensync-1.0/formats/vjournal.so
%{_libdir}/opensync-1.0/formats/vnote.so
%{_libdir}/opensync-1.0/formats/vtodo.so

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.36-2m)
- rebuild against gcc43

* Wed Feb 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.36-1m)
- initial package for new libopensync
